[resolved] On XP running Scope 5.0.2617? I need your ASIO modules

A place to talk about whatever Scope music/gear related stuff you want.

Moderators: valis, garyb

Post Reply
User avatar
at0m
Posts: 4694
Joined: Sat Jun 30, 2001 4:00 pm
Location: Bubble Metropolis
Contact:

[resolved] On XP running Scope 5.0.2617? I need your ASIO modules

Post by at0m »

Hi,

I dun goofed on my ASIO2 24 Bit Source and ASIO2 Dest modules. Not sure what happened, I think it has to do with my tidying up $scope\App\Application\IOs too much. Backed up my Scope dir, reinstalled, then that gave me keys issues. Restored my backup Scope dir, but that also returned my borked drivers.
Then copied over from my Scope SDK dir, but double-clicking ASIO there gives me the old Scope blue options panel. Think I restored backup again, and now ASIO2 Dest gets me Dest 64. What the...

So if anyone running XP and Scope 5.0.2617 could zip me up their ASIO2 24 Bit Source and ASIO2 Dest modules, or even the full IOs\Software directory, that would be the easiest quick fix before I spend days on this.

Thanks in advance,
at0m.
Last edited by at0m on Tue Oct 08, 2019 7:37 am, edited 1 time in total.
more has been done with less
https://soundcloud.com/at0m-studio

User avatar
valis
Posts: 5363
Joined: Sun Sep 23, 2001 4:00 pm
Location: West Coast USA
Contact:

Re: On XP running Scope 5.0.2617? I need your ASIO modules

Post by valis »

Can't you extract them from the installer?

User avatar
at0m
Posts: 4694
Joined: Sat Jun 30, 2001 4:00 pm
Location: Bubble Metropolis
Contact:

Re: On XP running Scope 5.0.2617? I need your ASIO modules

Post by at0m »

Haven't tried. Getting late and I've powered down the studio for today, but will give that a try tomorrow. Launch the installer and search the temp files.
more has been done with less
https://soundcloud.com/at0m-studio

User avatar
garyb
Moderator
Posts: 22267
Joined: Sun Apr 15, 2001 4:00 pm
Location: ghetto by the sea

Re: On XP running Scope 5.0.2617? I need your ASIO modules

Post by garyb »


User avatar
valis
Posts: 5363
Joined: Sun Sep 23, 2001 4:00 pm
Location: West Coast USA
Contact:

Re: On XP running Scope 5.0.2617? I need your ASIO modules

Post by valis »

That, or many are even able to be opened with 7Zip or Winrar etc. It depends on the options chosen by the developer when they compile installshield (or etc) all-in-one exe installers.

For instance my 5.1.2790 installer for instance seems to be CRC packed and then a binary CAB file inside that is not able to be seen by extraction tools. Sadly I don't have 5.0.2617 on hand to try.

Curious though, are you too time limited to get 5.1 running stably?

User avatar
at0m
Posts: 4694
Joined: Sat Jun 30, 2001 4:00 pm
Location: Bubble Metropolis
Contact:

Re: On XP running Scope 5.0.2617? I need your ASIO modules

Post by at0m »

valis wrote:
Mon Oct 07, 2019 5:03 pm
That, or many are even able to be opened with 7Zip or Winrar etc. It depends on the options chosen by the developer when they compile installshield (or etc) all-in-one exe installers.

For instance my 5.1.2790 installer for instance seems to be CRC packed and then a binary CAB file inside that is not able to be seen by extraction tools. Sadly I don't have 5.0.2617 on hand to try.

Curious though, are you too time limited to get 5.1 running stably?
* Winrar doesn't cut it.
* I noticed I was using the wrong installer, 5.1.2790. Refuses to start most of the time. And if it does, doesn't take any of my keys.
* The version I use, 5.0.2617, installs and runs just nicely. But here I do not find any Asio2 24bit Source - only the "ASIO2 32bit Source 64". Meh.
* I had used an old project that did have the 24bit driver somehow :-? , and made a godzillion Externel Effect aliases for the "ASIO as VDAT patch" that use that 24bit ASIO2 driver. I guess I'll have to settle with those 32bit 64ports drivers, and redo all my patches before another week is lost trying to resolve this.

Thanks for your ideas, folks. Too bad that didn't work out :/
more has been done with less
https://soundcloud.com/at0m-studio

User avatar
garyb
Moderator
Posts: 22267
Joined: Sun Apr 15, 2001 4:00 pm
Location: ghetto by the sea

Re: On XP running Scope 5.0.2617? I need your ASIO modules

Post by garyb »

use the 32bit source. it will run at 24bit, if your sequencer is running 24bit.
the modules were simplified in v5.

this should not affect your old projects.

User avatar
at0m
Posts: 4694
Joined: Sat Jun 30, 2001 4:00 pm
Location: Bubble Metropolis
Contact:

Re: On XP running Scope 5.0.2617? I need your ASIO modules

Post by at0m »

garyb wrote:
Tue Oct 08, 2019 7:18 am
this should not affect your old projects.
Except for IO Aliases that I use rather extensively - the External Source/Dest/Effect devices.. Those saved devices load blank since they do not find any "ASIO 24bit Source" anymore. I need to figure out their port numbers, then re-save them.

I love how these devices unclutter the project: neat aliases not generic "source/dest this or that", much less spaghettification, plus <3 can be inserted in modular patches where connections are saved with presets within the patches. The latter means very DSP efficient changing connections on the fly using MIDI program changes, without the routers that cause so much overhead since these are all hardwired switches.

I do understand the design decision for how to switch, where different DAW would no longer require different drivers to be loaded for example., or where it would cause less overhead. Seems I'm one of the edge cases where it isn't :D At least for now.. In time, when historical (I opened a 2004 project today!) presets are re-saved, that will sure be an improvement.
more has been done with less
https://soundcloud.com/at0m-studio

Post Reply